/* za na server */
    
    @font-face {
        font-family: 'Georgia Regular';
        src: url('https://static.jutarnji.hr/piano/font/Georgia.woff') format('woff'),
        url('https://static.jutarnji.hr/piano/font/Georgia.ttf') format('truetype');
        font-style: normal;
        font-weight: normal;
        }
        
    
    @font-face {
        font-family: 'Georgia Italic';
        src: url('https://static.jutarnji.hr/piano/font/Georgia-Italic.woff') format('woff'),
        url('https://static.jutarnji.hr/piano/font/Georgia-Italic.ttf') format('truetype');
        font-style: normal;
        font-weight: normal;
        }
        
    
    @font-face {
        font-family: 'Georgia Bold';
        src: url('https://static.jutarnji.hr/piano/font/Georgia-Bold.woff') format('woff'),
        url('https://static.jutarnji.hr/piano/font/Georgia-Bold.ttf') format('truetype');
        font-style: normal;
        font-weight: normal;
        }
        
    
    @font-face {
        font-family: 'Georgia Bold Italic';
        src: url('https://static.jutarnji.hr/piano/font/Georgia-BoldItalic.woff') format('woff'),
        url('https://static.jutarnji.hr/piano/font/Georgia-BoldItalic.ttf') format('truetype');
        font-style: normal;
        font-weight: normal;
        }

:root {
    --scroll: 0;
    }

html {
    font-size: 62.5%;
    overflow-x: hidden;
    }

body {
    font-size: 1rem;
    }



#ocmContainer {

    &.daruj-jutarnji-premium_page {
        .container--inner {
            padding-inline: 0;
        }
    }


    h1, h2, h3, h4 {
        margin-bottom: 0;
        }
    h1, h2, h3, h4, p {
        font-weight: normal;
    }

    a:focus, a:hover {
        text-decoration: none;
        opacity: 0.8;
    }

    .section-white,
    .section-pretplata {
        a {
            text-decoration: underline;
            text-decoration-thickness: 1px;
            text-underline-offset: 2px;
            font-weight: normal;

            &:hover {
                opacity: 1;
            }
        }
    }

    .section-pretplata { 
        padding: 22px 0;
        margin-top: 64px;
        display: grid;
        justify-items: center;
    }

    .logo { 
        width: 30%; max-width: 135px; 
    }

    &.page--daruj-pretplatu,
    &.poklon-pretplata_page {
        video.logo { 
            width: 406px; max-width: 60%;
            clip-path: fill-box;
            border-radius:1px; 
        }

        img.logo { 
            width: 135px;
            margin-block: 0 8rem;
        }

        .media-imgs,
        .mobiles {
            display: grid;
            width: 90%;
            justify-items: center;
            align-items: end;
            gap: 0.5rem;

            .mob-img,
            .lap-img {
                width: 100%;
            }
        }

        .media-imgs {
            grid-template-columns: 4fr 1fr;
        }

        .mobiles {
            grid-template-columns: 1fr 1.18fr 1.3fr 1.18fr 1fr;
        }

        .red-background,
        .media-background {
            position: relative;
            width: 100%;

            &::before {
                content: "";
                position: absolute;
                top: 17rem;
                bottom: 0;
                left: 0;
                right: 0;
                z-index: 0;
            }

            img, div, p, h1 {
                z-index: 1;
            }

            h1, p {
                color: var(--invert-txt-color);
            }
            
            .naslov.bijeli {
                margin-block: 3.8rem 0.8rem;
            }

            .r1-text {
                margin: 0!important;
            }
        }
    }

    &.page--daruj-pretplatu {
        .red-background,
        .media-background {
            padding-block: 6rem 4rem;
            margin-bottom: 6rem;
        }
    }

    &.poklon-pretplata_page {
        .red-background,
        .media-background {
            padding-block: 8rem 0rem;
            margin-block: 0.5rem 3rem;
        }
    }

    .section-white {
        padding: 70px 0;
        width: 100vw;
        position: relative;
        left: 50%;
        right: 50%;
        margin-left: -50vw;
        margin-right: -50vw; 
    }

    .r1-text {
        margin: 42px auto 44px auto;
        width: 250px;
        color: #121212; 
    }

    .r1 { 
        font-size: 20px;
        line-height: 1.3;
        font-weight: normal;
        padding: 0;
        margin: 0; 
    }


    .sto-dobivas {
        margin-block: 96px 91px;
        width: 344px;

        .addon {
            padding: 0;
            margin-block: 5px;
            margin-inline: auto;
            max-width: 640px;
        }
        .triangle {
            top: 2px;
            left: 0;
        }
        .nabrajanje {
            padding: 0;

            p {
                font-weight: normal;
                font-size: 16px;
                line-height: 1.3;
                padding-left: 2px!important;
                letter-spacing: 0.1px;
            }
        }
    }

    &.poklon-pretplata_page {
        .sto-dobivas {
            margin-block: 0 92px;
        }
    }

    .addon.postojeci-pretplatnici {
        width: 316px;
        margin-block: 40px 30px;

        .nabrajanje {
            h3 {
                font-size: 16px;
                line-height: 1.3;
                letter-spacing: 0.1px;
            }
            p {
                font-weight: normal;
                font-size: 16px;
                line-height: 1.3;
                padding-left: 22px!important;
                letter-spacing: 0.1px;

                span.istakni-kod {
                    font-family: 'Arhivo', sans-serif; 
                    font-variation-settings: 'wdth' 62.5; 
                    font-weight: 600;
                    color: #e13f3d;
                }

                &.postupak {
                    position: relative;
                }
            }
        }
    }

    span.bullet-row {
        display: block;
        position: relative;
        padding-left: 15px;
        padding-top: 8px;

        &::before {
            content: "";
            display: block;
            width: 5px;
            height: 5px;
            border-radius: 50%;
            position: absolute;
            top: 16px;
            left: 2px;
        }
    }

    h1, h2 {
        line-height: 1.2;
    }

    .naslov h1 {  
        font-weight: 700;
        font-size: 30px;
        line-height: 1;
        margin-bottom: 0;
        padding: 8px 12px 28px 12px;
        text-align: center;
    } 

    &.page--daruj-pretplatu {

        .naslov.bijeli {
            &.bf-kod,
            &.popust-text {
                margin-block: 3.5rem 2rem;
                h1{
                    font-size: 32px;
                    line-height: 1.25;
                    padding: 0;
                    margin: 0.4rem 0;
                    
    
                    &.trajanje-popusta {
                        font-size: 22px;
                    }
                }
            }
        }
    }

    .kartice-iz-piana, 
    .landing-kartice {
        .naslov h1 { 
            padding: 0;
        }
    }

    .dvg-pretplate {
        margin-block: 104px 0;
    }

    .naslov-text {
        margin: 2px 0 46px 0;
        text-align: center;

        h1, h2, p { 
            position: relative;  
        }

        h1 { 
            font-size: 40px; 
        }  
        h2 { 
            font-size: 20px;   
        } 
    }

    &.poklon-pretplata_page {
        .naslov-text {
            margin: 2px 0 0;
            padding-inline: 2rem;

            h1 {
                font-size: 33px;
                line-height: 1.1;
                margin-block: 0 1.8rem;
            }
        }

        .red-background,
        .media-background {
            .naslov h1 {
                font-size: 26px;
                line-height: 1.2;
                margin-bottom: 0;
                padding: 0px 35px 25px 35px;
            }
        }
    }


    .korisnicki-racun {
        margin-block: 44px 0;
        
        h1 {
            font-weight: 500;
            font-size: 18px;
            line-height: 1.2;
            text-decoration: none;
            padding: 4px 16px;
            display: inline-block;
            margin: 0;
        }
        
        a {
            text-decoration: none;
        }
        
        a:hover h1 {
            text-decoration: none;
        }
    }

    .pitanje,
    .podnaslov-faq {  
        position: relative;  
        width: 98%;
        margin: 0 auto;
        padding: 12px 10px 5px 10px;
        } 

    .odgovor {
        display: none;
        }

    .plusich {
        cursor: pointer;
        position: absolute;
        top: 12px;
        right: 8px;
        font-size: 19px;
        }


    h2 {
        font-size: 25px;
        padding: 0 0 20px;
        }

        .naslov-text h2 {
            padding: 0;
            margin: 0;
            }               

    h3 {
        padding: 4px;
        }

    p, .pitanje h3,
    .podnaslov-faq h1 {    
        font-size: 18px;
        line-height: 1.2;
        padding: 15px 5px 5px 5px;
        margin-block: 4px;
        }

    .pitanje h3,
    .podnaslov-faq h1 {
        font-size: 19px;
        padding: 0 5px;
        padding-right: 34px;
        }

    .odgovor {
        font-weight: normal;
        font-size: 16px;
        line-height: 1.3;
        padding: 5px;
        }

    .sto-dobivas p {
        letter-spacing: 0.4px;
        margin-block: 4px;
        }



        
    @media (min-width: 768px) { 

        .naslov-text { 
            margin: 12px 0 102px 0;

            h1 { 
                font-size: 60px;
                padding: 0;
                margin-block: 0px 46px;
            }
        }

        &.page--daruj-pretplatu,
        &.poklon-pretplata_page {
            .naslov-text {
                margin: -20px 0 112px 0;

                h1 { 
                    margin-block: 0px 23px;
                    line-height: 1.2;
                    font-size: 6rem;
                }
            }

            .red-background,
            .media-background {
                padding-block: 12rem 10rem;
                margin-bottom: 7rem;

                &::before {
                    top: 50%;
                }
            }
        }

        &.poklon-pretplata_page {
            .naslov-text {
                margin: -20px 0 0 0;

                h1 { 
                    font-size: 6rem;
                    padding: 0;
                    margin-block: 0px 46px;
                }
            }
        }

        .r1 {
            text-align: center;
        }
        
        .r1-text { 
            margin: 46px auto 44px auto; 
            width: 97%;
        }

        .pitanje,
        .podnaslov-faq {  
            width: 720px;
        }

        .plusich {
            top: 10px;
        }

        .kartice-iz-piana, 
        .landing-kartice {
            .naslov h1 { 
                padding: 20px 0 0 0;
            }
        }

    }
        
        
    @media (min-width: 992px) {

        .addon.postojeci-pretplatnici {
            width: 588px;
            margin-block: 78px 36px;

            .triangle {
                top: 3px;
            }
            .pogodnosti {
                font-size: 22.6px;
            }
        }

        .bf-page .addon.postojeci-pretplatnici {
            width: 440px;
            margin-block: 44px 92px;
        }

        .pitanje,
        .podnaslov-faq { 
            width: 840px; 
        }

        .dvg-pretplate {
            margin-block: 90px 0;
        }

        .sto-dobivas {
            width: 500px;
        }
    }

    @media (min-width: 1024px) {

        &.page--daruj-pretplatu,
        &.poklon-pretplata_page {
            .media-imgs,
            .mobiles {
                width: 1000px;
                gap: 4rem;
            }
        }

        &.poklon-pretplata_page {
            .citajte-vise {
                width: 860px;
            }

            .naslov-text {
                h2 {
                    font-size: 34px;
                }
            }
        }

        .korisnicki-racun {
            margin-block: 48px 0;

            h1 {
                padding: 4px 22px;
            }
        }

        .sto-dobivas {
            margin-block: 160px;
        }

    }

        
    @media (min-width: 1280px) {

        &.daruj-jutarnji-premium_page {
            margin-bottom: 10rem;
        }
        
        .r1-text {
            margin: 36px auto 80px;
        }

        &.page--daruj-pretplatu,
        &.poklon-pretplata_page {

            img.logo { 
                margin-block: 0 15.2rem;
            }

            .red-background,
            .media-background {
                padding-block: 16rem 7rem;
                margin-bottom: 19.5rem;

                &::before {
                    top: 37.5rem;
                }

                .naslov.bijeli {
                    margin-block: 8.2rem 2.2rem;
                }
            }

            .r1-text {
                margin: 0;
            }

            .media-imgs,
            .mobiles {
                width: 1170px;
                gap: 4rem;
            }
        }

        &.poklon-pretplata_page {

            img.logo { 
                margin-block: 0 15.2rem;
            }

            .red-background,
            .media-background {
                padding-block: 11rem 0rem;
                margin-block: 0;

                .naslov.bijeli {
                    margin-block: 8.2rem 2.2rem;
                }

                .naslov h1 {
                    font-size: 3rem;
                }
            }

        }

        .dvg-pretplate {
            margin-block: 172px 0;
        }

        .sto-dobivas {
            margin-block: 173px;
            width: 615px;

            .naslov h1 {
                padding: 8px 12px 41px 12px;
            }

            .addon {
                margin-block: 0 5px;
            }
        }

        &.page--daruj-pretplatu{
            .sto-dobivas {
                margin-block: 144px 290px;
            }
        }

        &.poklon-pretplata_page {
            .sto-dobivas {
                margin-block: 64px 160px;
            }
        }

        .section-white {
            padding: 172px 0 182px;

            .pitanje,
            .podnaslov-faq {
                padding: 8px 10px 11px 10px;
            }
        }

    }



/* DARUJ PREMIUM FLOATER */

    .gift-floater,
    .gift-floater-mob {
        position: fixed;
        aspect-ratio: 1;
        text-align: center;
        transform-origin: 50% 50%;
        container-type: inline-size;
        z-index: 100;

        .gift-floater-circle {
            cursor: pointer;
            display: grid;
            align-items: center;
            justify-items: center;
            background: #e13f3d;
            border-radius: 50vw;
            width: 100%;
            height: 100%; 

            p.floater-text {
                font-family: 'Slabo 27px', serif;
                color: #fff;
                opacity: 1;
                font-weight: 300;
                font-size: 12cqw;
                line-height: 1.05;
                text-align: center;
                width: 70cqw;
                position: absolute;
                bottom: 21cqw;
                /* transition: all 0.1s linear; */
            }
        
            .pokloncic {
                width: 68cqw;
                margin-top: -35cqw;
                transform: scale(0.5);
                /* transition: all 0.05s linear; */
            }
        }

        .close-button {
            cursor: pointer;
            position: absolute;
            top: 15cqw;
            right: 11.2cqw;
            transform: translate(50%, -50%);
            font-size: 14cqw;
            line-height: 0.9;
            font-weight: 200;
            font-family: 'Archivo', sans-serif;
            font-variation-settings: "wdth" 100;
            background: #121212;
            color: #fff;
            width: 15cqw;
            aspect-ratio: 1;
            border-radius: 50vw;
            padding-inline: 0.3cqw 0;
        }
    }

    .gift-floater {
        display: none;
        width: 20rem;
        right: 50%;
        transform: translateX(62rem);
        top: 32rem;
        transition: all 0.2s linear;
    }


    .gift-floater-mob {
        width: 64%;
        max-width: 30rem;
        /* right: 50%;
        bottom: 50%; */
        right: 36%;
        bottom: 22%;
        transform: translate(50%, 50%);
        /* filter: drop-shadow(0 10px 17px #000) drop-shadow(0 12px 54px #000) drop-shadow(2px 2px 120px #ffffffa2); */
        filter: drop-shadow(2px 4px 6px black);
        transition: all 0.2s linear;

        .gift-floater-circle {
            p.floater-text {
                left: 50%;
                transform: translateX(-50%);
            }
        }
    }


    @media (min-width: 1280px) {

        .gift-floater {
            display: block;
        }
        
        .gift-floater-mob {
            display: none;
        }
    }

    @media (min-width: 1680px) {

        .gift-floater {
            transform: translateX(78rem);
        }
    }

}

    
